Skip to content
Adjustment

Account Cash Balance Adjustment

This interface is used to perform a manual cash adjustment for a specified securities account. By providing the account number account_no, adjustment direction direction (credit or debit), currency currency, amount amount, and business code biz_code, it completes the manual increase or decrease of funds and returns a business serial number serial_num. The interface supports a risk control check toggle require_risk_check and idempotency control request_id to prevent duplicate adjustments.

POSThttps://b-api.longbridge.xyz/v2/whaleapi/asset/adjust_cash

Authorization

AuthorizationstringheaderRequired

Send the Broker ACCESS_TOKEN as Authorization: Bearer <token>.

Request body application/json

account_nostringrequired

Account NO Eg:L6VQEU00121996. Account NO Eg:L6VQEU00121996

directionnumberrequired

Adjust Direction. Adjust Direction

currencystringrequired

Currency. Currency

amountstringrequired

Adjust Amount. Adjust Amount

biz_codestringrequired

Business Code. Business Code

remarkstring

Adjust Remark. Adjust Remark

serial_numstring

Serial Num. Serial Num

request_idstring

Idempotency ID ,keep Global Unique. Idempotency ID ,keep Global Unique

require_risk_checkboolean

Need Risk Check. Need Risk Check

Responses

HTTP 200Fields are taken from the real responses definition for this operation in the published Whale OpenAPI spec (whale-openapi/Whale-openapi.json).
Standard response envelopecodemessagedata
dataobjectdata structure
msgstringrequired

Message. Message

serial_numstringrequired

Serial Number. Serial Number

error_codestringrequired

Error Code. Error Code

HTTP 400Bad request. Check the business error code in code and the error details in message.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 401The user is not authenticated, or the login session has expired.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 403The current account is not authorized to use this feature. Grant the required permission to the account in User Permission.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 408The request timed out. Check the business error code in code and the error details in message.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

Whale Docs